<?php
/**
 * @package Sauna Lite
 * @subpackage sauna-lite
 * @since sauna-lite 1.0
 * Setup the WordPress core custom header feature.
 *
 * @uses sauna_lite_header_style()
*/

function sauna_lite_custom_header_setup() {

	add_theme_support( 'custom-header', apply_filters( 'sauna_lite_custom_header_args', array(

		'default-text-color' => 'fff',
		'header-text' 		 =>	false,
		'width'              => 1300,
		'height'             => 75,
		'flex-height'        => true,
	    'flex-width'         => true,
		'wp-head-callback'   => 'sauna_lite_header_style',
	) ) );

}

add_action( 'after_setup_theme', 'sauna_lite_custom_header_setup' );

if ( ! function_exists( 'sauna_lite_header_style' ) ) :
/**
 * Styles the header image and text displayed on the blog
 *
 * @see sauna_lite_custom_header_setup().
 */
add_action( 'wp_enqueue_scripts', 'sauna_lite_header_style' );
function sauna_lite_header_style() {
	//Check if user has defined any header image.
	if ( get_header_image() ) :
	$sauna_lite_custom_css = "
        #header{
			background-image:url('".esc_url(get_header_image())."');
			background-position: center;
			background-size: 100% 100%;
		}";
	   	wp_add_inline_style( 'sauna-lite-basic-style', $sauna_lite_custom_css );
	endif;
}
endif; // sauna_lite_header_style